summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorBernard Cafarelli <voyageur@gentoo.org>2019-04-03 23:09:19 +0200
committerBernard Cafarelli <voyageur@gentoo.org>2019-04-03 23:29:44 +0200
commitcd3f2ce4a9942274b77519d779c2138cc05f3dd5 (patch)
tree116671db993438e1baa7ad531cf6ebf9c0d9eb18 /www-apps
parentmedia-gfx/displaycal: 3.7.2.0 bump (diff)
downloadgentoo-cd3f2ce4a9942274b77519d779c2138cc05f3dd5.tar.gz
gentoo-cd3f2ce4a9942274b77519d779c2138cc05f3dd5.tar.bz2
gentoo-cd3f2ce4a9942274b77519d779c2138cc05f3dd5.zip
www-apps/owncloud: 10.1.1 bump
Package-Manager: Portage-2.3.62, Repoman-2.3.12 Signed-off-by: Bernard Cafarelli <voyageur@gentoo.org>
Diffstat (limited to 'www-apps')
-rw-r--r--www-apps/owncloud/Manifest1
-rw-r--r--www-apps/owncloud/owncloud-10.1.1.ebuild47
2 files changed, 48 insertions, 0 deletions
diff --git a/www-apps/owncloud/Manifest b/www-apps/owncloud/Manifest
index e48e37750a2..37a821c4834 100644
--- a/www-apps/owncloud/Manifest
+++ b/www-apps/owncloud/Manifest
@@ -1,3 +1,4 @@
DIST owncloud-10.0.10.tar.bz2 44943557 BLAKE2B a2cdfbef7affc306b7653f1841b0bb2e781d849bbd62d9b8a0f3a019cca5be8a02ca27b5fa5cbb39ddb9a440aa917b279c937ebdae034504d5c1b9ed3eeee603 SHA512 77f9567395ee5319afc397ed7b9bd93687ddfb90022445be06adfb58ae49557223227a656b638b1cdac19b730509292e7ba260846c9f67540418267ac7b518f7
DIST owncloud-10.0.9.tar.bz2 40769945 BLAKE2B c2187838488e87a85a964a9f1cd181e203fef6475c8797f8fc7204ae91d00522193cf730340dcf3e08b85cb03992d8d922a1d72db0acfc3d77374f0f10f4cbea SHA512 756903ba98ca7612987e51d4f0d38452b8c38a3970ae6ac7ec0d30e469cd7cb7cf1a4a95dbe1a782c3ebddfdf3c2194193853b9f55cb75a9f0ef4c5a437c420b
DIST owncloud-10.1.0.tar.bz2 20345340 BLAKE2B 0d5d6b1ea5ce6071ccd447737ab897e3ade60178497af538866ea60fdfad9b15a8971fcf921e1297d4b9b14a596c1397d7ae517cf8f0b9e9eb186511fe4e3210 SHA512 2e93510cc6a3668c4d1b9ad072aab05b44e531cadbc7e740a2d4c5822a221878fa2f3804cb2436461e3c2df46b59374bd641464c786a89582b01fcf816bb203d
+DIST owncloud-10.1.1.tar.bz2 20272676 BLAKE2B 36f4a1fb513dc1a49ba571935de309f78c12fad11b4b5297c48fa02541a7c7858ce8c525847c44b89e43a5142f52e37c9c23cfff71aef9380b4192729e5b110c SHA512 4252ac71b87bd7a6372507a501dea4022420b7c2cb6556ec258091238cf3b347a33cd56c2a8afefcf971c0bbd68422fc86db8be2e6bf8fb3b6c76ff3aac228e8
diff --git a/www-apps/owncloud/owncloud-10.1.1.ebuild b/www-apps/owncloud/owncloud-10.1.1.ebuild
new file mode 100644
index 00000000000..f493a0c561a
--- /dev/null
+++ b/www-apps/owncloud/owncloud-10.1.1.ebuild
@@ -0,0 +1,47 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit eutils webapp
+
+DESCRIPTION="Web-based storage application where all your data is under your own control"
+HOMEPAGE="https://owncloud.org"
+SRC_URI="https://download.owncloud.org/community/${P}.tar.bz2 -> ${PF}.tar.bz2"
+LICENSE="AGPL-3"
+
+KEYWORDS="~amd64 ~arm ~x86"
+IUSE="+curl mysql postgres +sqlite"
+REQUIRED_USE="|| ( mysql postgres sqlite )"
+
+DEPEND=""
+RDEPEND="dev-lang/php[curl?,filter,gd,hash,intl,json,mysql?,pdo,posix,postgres?,session,simplexml,sqlite?,xmlreader,xmlwriter,zip]
+ virtual/httpd-php"
+
+S=${WORKDIR}/${PN}
+
+pkg_setup() {
+ webapp_pkg_setup
+}
+
+src_install() {
+ webapp_src_preinst
+
+ insinto "${MY_HTDOCSDIR}"
+ doins -r .
+ dodir "${MY_HTDOCSDIR}"/data
+
+ webapp_serverowned -R "${MY_HTDOCSDIR}"/apps
+ webapp_serverowned -R "${MY_HTDOCSDIR}"/data
+ webapp_serverowned -R "${MY_HTDOCSDIR}"/config
+ webapp_configfile "${MY_HTDOCSDIR}"/.htaccess
+
+ webapp_src_install
+}
+
+pkg_postinst() {
+ elog "Additional applications (calendar, ...) are no longer provided by default."
+ elog "You can install them after login via the applications management page"
+ elog "(check the recommended tab). No application data is lost."
+ webapp_pkg_postinst
+}